
TYPO3.Fluid - Feature # 58829

Status: Closed Priority: Should have
Author: Bastian Waidelich Category: Core
Created: 2014-05-15 Assigned To: Marc Neuhaus
Updated: 2014-12-08 Due date:
Has patch: No
Subject: Register package namespaces automatically
Description

Currently when using ViewHelpers from 3rd party packages the package namespace has to be registered:

1{namespace xyz=Acme\SomePackage\ViewHelpers}
2<xyz:someViewHelper />

It would be useful if the namespace of all 3rd party packages containing at least one ViewHelper would be registered automatically
(in addition to the explicitly registered namespaces) .
For the above example that would mean:

1<acme.somepackage:someViewHelper />

Would be sufficient, if SomeViewHelper resides in a sub-namespace "ViewHelpers" as suggested.

Related issues:
related to TYPO3.Fluid - Feature # 53059: Throw exception for unresolved name... Closed 2013-10-23
related to TYPO3.Fluid - Feature # 58557: Define Namespaces in Configuration ... Rejected 2014-05-06

History
#1 - 2014-06-11 23:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#2 - 2014-06-11 23:28 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#3 - 2014-06-12 11:10 - Marc Neuhaus
- Assigned To changed from Bastian Waidelich to Marc Neuhaus

#4 - 2014-06-12 11:15 - Gerrit Code Review
Patch set 4 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#5 - 2014-06-12 14:46 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#6 - 2014-06-12 18:13 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#7 - 2014-06-12 18:16 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#8 - 2014-06-12 20:22 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30673

#9 - 2014-06-13 18:46 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30718

#10 - 2014-12-08 20:32 - Bastian Waidelich
- Status changed from Under Review to Closed

This ticket has been moved to https://jira.typo3.org/browse/FLOW-151
